นักวิจัยเผย 3 ช่องโหว่บน ‘Systemd’ ของ Linux ชี้ยังไม่มีแพตช์

นักวิจัยด้านความมั่นคงปลอดภัยจาก Qualys ได้เผยถึง 3 ช่องโหว่บน ‘Journald’ ที่เป็นส่วนประกอบหนึ่งของ Systemd บนระบบปฏิบัติการ linux โดยผลกระทบคือนำไปสู่การเกิด Memory Corruption และ Out-of-bounds Error

credit : Wikipedia

Systemd คือตัวบริหารจัดการโปรเซสของระบบหลังจากการบูตเครื่องซึ่งนักวิจัยได้ค้นพบช่องโหว่บน Journald (ดูรุปด้านบน) หรือบริการหนึ่งภายใต้ Systemd ที่ทำหน้าที่รับและเก็บข้อมูล log โดยบั๊กสามารถทำให้คนร้ายสามารถได้รับสิทธิ์ระดับ Root หรือนำไปสู่การเปิดเผยข้อมูลได้

ช่องโหว่ Memory Corruption มี 2 รายการ ประกอบด้วย CVE-2018-16864 และ CVE-2018-16865 สำหรับช่องโหว่ Out-of-bounds Error มีหมายเลขอ้างอิง CVE-2018-16866 อย่างไรก็ตามเมื่อใช้ช่องโหว่ CVE-2018-16865 และ CVE-2018-16866 ควบคู่กันจะทำให้คนร้ายสามารถได้รับ Shell ระดับ Root ของเครื่องได้ทั้งบน x86 (ใช้เวลาราว 10 นาที) และ x64 (ใช้เวลาประมาณ 70 นาที) นอกจากนี้ช่องโหว่ทั้งหมดยังสามารถใช้งานได้โดยไม่ต้องอาศัยผู้ใช้งานมาข้องแวะเลย

Qualys วางแผนที่จะเปิดเผยโค้ด PoC ในเร็วๆ นี้แต่ก็เผยรายละเอียดการใช้งานไว้บ้างแล้วที่นี่ โดยนักวิจัยได้วิเคราะห์ผลกระทบปัจจุบันว่า “ทุก Linux Distro ที่ใช้ Systemd นั้นล้วนได้รับผลกระทบ ยกเว้น SUSE Enterprise 15, OpenSUSE Leap 15.0 และ Fedora 28-29 สาเหตุเพราะส่วน User Space ถูกคอมไพล์โดย GCC -fstack-clash-protection” สำหรับ Redhat Enterprise Linux 7 และ Redhat virtualize 4 จะได้รับผลกระทบจากทุกช่องโหว่ และตอนนี้ยังไม่มีแพตช์แก้ไขใดอย่างเป็นทางการออกมา

ที่มา : https://www.bleepingcomputer.com/news/security/linux-systemd-affected-by-memory-corruption-vulnerabilities-no-patches-yet/

from:https://www.techtalkthai.com/3-vulnerabilities-in-linux-systemd-component/

โฆษณา